Bug 561332 (CVE-2010-0441) - CVE-2010-0441 Asterisk: Remote DoS via specially-crafted FaxMaxDatagram SDP packets (AST-2010-001)
Summary: CVE-2010-0441 Asterisk: Remote DoS via specially-crafted FaxMaxDatagram SDP p...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0441
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://downloads.asterisk.org/pub/sec...
Whiteboard:
: 566829 (view as bug list)
Depends On: 566829
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-03 13:07 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-16 21:27:56 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-02-03 13:07:27 UTC
Remotely exploitable denial of service (crash) has been reported
and corrected in Asterisk. From the upstream advisory (AST-2010-0001):

"An attacker attempting to negotiate T.38 over SIP can remotely crash
Asterisk by modifying the FaxMaxDatagram field of the SDP to contain
either a negative or exceptionally large value. The same crash occurs
when the FaxMaxDatagram field is omitted from the SDP as well."

Upstream advisory:
  http://downloads.asterisk.org/pub/security/AST-2010-001.pdf

Patches:
  http://downloads.asterisk.org/pub/security/AST-2010-001-1.6.0.diff (v1.6.0)  
  http://downloads.asterisk.org/pub/security/AST-2010-001-1.6.1.diff (v1.6.1)
  http://downloads.asterisk.org/pub/security/AST-2010-001-1.6.2.diff (v1.6.2)

Credit / Reported by:
  issues.asterisk.org users bklang and elsto

Comment 1 Jan Lieskovsky 2010-02-03 13:11:01 UTC
This issue affects latest versions of the asterisk package, as shipped
within Fedora release of 11 (asterisk-1.6.1.12-1.fc11) and 
12 (asterisk-1.6.1.12-1.fc12). 

Please fix.

Comment 3 Jeffrey C. Ollie 2010-03-01 15:26:26 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=561332 and
https://bugzilla.redhat.com/show_bug.cgi?id=566829 appear to be duplicates.

Comment 4 Fedora Update System 2010-03-01 15:30:12 UTC
asterisk-1.6.2.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/asterisk-1.6.2.5-1.fc13

Comment 5 Fedora Update System 2010-03-01 15:50:07 UTC
asterisk-1.6.1.17-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/asterisk-1.6.1.17-1.fc12

Comment 6 Jeffrey C. Ollie 2010-03-02 18:43:45 UTC
*** Bug 566829 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2010-03-02 18:45:02 UTC
asterisk-1.6.1.17-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/asterisk-1.6.1.17-1.fc11

Comment 8 Fedora Update System 2010-03-23 01:56:40 UTC
asterisk-1.6.1.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-04-01 01:38:43 UTC
asterisk-1.6.1.17-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.